Bug 1318492 - bogus 'there are no portable drives found' when unformatted USB stick is inserted
Summary: bogus 'there are no portable drives found' when unformatted USB stick is inse...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liveusb-creator
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1310542
TreeView+ depends on / blocked
 
Reported: 2016-03-17 04:23 UTC by Chris Murphy
Modified: 2016-09-20 02:47 UTC (History)
5 users (show)

Fixed In Version: liveusb-creator-3.93.3-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-26 16:34:31 UTC


Attachments (Terms of Use)

Description Chris Murphy 2016-03-17 04:23:05 UTC
Description of problem:

LiveUSB Creator doesn't find USB sticks if it's not partitioned and formatted.


Version-Release number of selected component (if applicable):
liveusb-creator-3.90.0-1.fc24.noarch


How reproducible:
Always

Steps to Reproduce:
1. Wipe the USB stick (wipefs all partitions, then wipefs the whole drive to make sure GPT primary and backup sigs are deleted and MBR sig is deleted.)
2. Launch Live USB Creator
3. Choose custom OS and point to a F24 ISO
4. Message "There are no portable drives found" does not go away.
5. Quit LUC
6. GPT partition LUC with gdisk, single partition, type 8300
7. Repeat step 2, 3, and results in 4 again. Quit LUC.
8. Format the partition on the stick as FAT32, repeat step 2, 3.
9. Now LUC sees the stick.

Actual results:

LUC does not see an unformatted stick.


Expected results:

It should see USB mass storage device, maybe nice if there's a way to know if it's flash media so that it doesn't show external USB hard drives.


Additional info:

Comment 1 Chris Murphy 2016-03-17 04:37:14 UTC
If the drive is formatted btrfs, or XFS it's not recognized either, mounted or not mounted. If it's ext4 or vfat, then it's recognized.

Comment 2 Chris Murphy 2016-03-22 20:39:20 UTC
This problem is fixed with 3.91.0-1.fc23, the stick is visible but now I run into new bug 1320326.

Comment 3 Fedora Update System 2016-04-21 16:12:27 UTC
liveusb-creator-3.93.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 4 Fedora Update System 2016-04-21 16:13:41 UTC
liveusb-creator-3.93.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 5 Fedora Update System 2016-04-21 21:59:33 UTC
liveusb-creator-3.93.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 6 Kamil Páral 2016-04-22 08:48:28 UTC
This is fixed with liveusb-creator-3.93.1-1.fc24.

Comment 7 Fedora Update System 2016-04-22 17:06:42 UTC
liveusb-creator-3.93.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 8 Fedora Update System 2016-04-24 01:25:16 UTC
liveusb-creator-3.93.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 9 Fedora Update System 2016-04-26 08:13:30 UTC
liveusb-creator-3.93.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 10 Fedora Update System 2016-04-26 16:23:33 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 11 Fedora Update System 2016-04-26 16:33:04 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.